=== debian/control ===
Source: libxsettings
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://standards.freedesktop.org/xsettings-spec/0.5/
Vcs-Git: https://salsa.debian.org/debian/libxsettings.git
Vcs-Browser: https://salsa.debian.org/debian/libxsettings

Package: libxsettings-dev
Section: libdevel
Architecture: any
Depends:
 libxsettings0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Xsettings protocol (development files)
 Provides a mechanism to allow the configuration of settings such as double
 click timeout, drag-and-drop threshold, and default foreground and
 background colors for all applications running within a desktop.
 .
 This package contains the development files for building applications
 using libxsettings.
 .
 Used by the GPE Palmtop Environment.

Package: libxsettings0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Xsettings protocol library for GPE
 Provides a mechanism to allow the configuration of settings such as double
 click timeout, drag-and-drop threshold, and default foreground and
 background colors for all applications running within a desktop.
 .
 Used by the GPE Palmtop Environment.
